<?php
/**
 * The header for our theme
 *
 * @link  https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @package Postmagthemes
 * @subpackage Postmag
 */ 
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'single-post-thumbnail' );  ?>
    <meta charset = "<?php bloginfo( 'charset' ); ?>" >
	<meta name = "viewport" content = "width = device-width, initial-scale = 1.0" >
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >
<?php 
if ( function_exists( 'wp_body_open' ) ) {
	wp_body_open();
}
?>
		<!-- For header image section start -->
		<?php if ( has_header_image() ) { ?>
			<img class = "img-fluid" src = "<?php header_image(); ?>" height = "<?php echo esc_attr( get_custom_header()->height ); ?>" width = "<?php echo esc_attr( get_custom_header()->width ); ?>" alt = ""/> 
		<?php } ?>
		<!-- Menu section start sticky-top  remvoed-->
		<nav  class  = "main-navigation navbar navbar-dark menucolor  navbar-expand-md  margin-top10">
			<!-- Brand -->
			<div class = "site-title" >
				<a class = "  menucolor brandlink" href = "<?php echo esc_url( home_url() ) ?>" > <h1 class = "brand"> <?php  bloginfo( 'name' );?> </h1></a>
			</div>
			<!-- Toggler/collapsibe Button -->
			<button class = "navbar-toggler" type = "button" data-toggle = "collapse" data-target = "#collapsibleNavbar" >
				<span class = "navbar-toggler-icon" ></span>
			</button>
			<!-- Navbar links -->
			<div class = " collapse navbar-collapse menuheight-20" id = "collapsibleNavbar" >
				<?php
				if( has_nav_menu( 'primary' ) ) :
					wp_nav_menu(  
						array( 
							'theme_location'    => 'primary',
							'depth'             => 3,
							'menu_class'        => 'nav ml-4 ',
						) 
					);
				else : 
				?>
					<ul id = "menu-primary-1" class = "nav nav-left">
						<?php wp_list_pages( 
							array( 
								'title_li' 	=> '',
								'depth' 	=> 1,
								)
						); ?>
					</ul>
				<?php endif; ?>	
			</div>
			</div> 
			<!-- Logo -->
			<div class = "float-right logoalignment img-fluid"  >
				<?php if ( function_exists(  "the_custom_logo" ) ) { the_custom_logo( ); } ?>
			</div>
		</nav> 
	<!-- Menu section finished  sticky-top  remvoed-->
		<?php if(  get_theme_mod( 'Date_display' ) === 'show' ) : ?> 
			<div id  = "date" class = "float-left header-date ml-5 mt-2" >
				<h6 class  = "brand-date-tagline" ><?php echo esc_html( date( get_option('date_format') ) ); ?></h6>
			</div>
		<?php 
		endif;
		$description  =  get_bloginfo(  'description', 'display' );
		if (  $description || is_customize_preview( ) ) : 
		?>
			<div class = "site-description text-right margin-right mt-2" >
				<h6 class  = "brand-date-tagline" ><?php echo  esc_html( $description ); ?></h6>
			</div>
			<div class = "clearfix"></div>
		<?php endif; ?>
	